# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pyephem
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

Name:		python-module-pyephem
Version:	3.7.5.1
Release:	alt1_3
Summary:	The astronomy library for Python

Group:		Development/Python
License:	LGPLv3
URL:		http://rhodesmill.org/pyephem/
Source0:	http://pypi.python.org/packages/source/p/pyephem/%{oldname}-%{version}.tar.gz


BuildRequires:	python-devel python-module-unittest2
Source44: import.info

%description
PyEphem provides scientific-grade astronomical
computations for the Python programming language. 

%prep
%setup -n %{oldname}-%{version} -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

#%%check
#%%{__python} -m unittest discover
# tests disabled as they're hardcoded to certain timezones
# see https://bugs.launchpad.net/pyephem/+bug/710602

%files 
%doc COPYING INSTALL LICENSE-GPL LICENSE-LGPL PKG-INFO README
%{python_sitelibdir}/ephem
%{python_sitelibdir}/*egg-info
%exclude %{python_sitelibdir}/ephem/tests


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.7.5.1-alt1_3
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 3.7.5.1-alt1_2
- initial fc import

